Subject: Re: bug#32137: closed (Re: [bug#32137] [PATCH] gnu: Add luakit)

From: Raphaël Mélotte <[email-masked]>
Date: Tue, 17 Jul 2018 16:15:44 +0200

> From: "Ludovic Courtès" <[email-masked]>
>
> Thanks for this first patch and welcome!  I made only minor
> modifications (patch below):
>
>   1. Add ‘file-name’ to the source to please ‘guix lint’.
>

I spotted the issue reported by 'guix lint', but I didn't know how to fix
it. Now I do :-)

>
>   2. Return #t at the end of the ‘wrap’ phase.

I took inspiration from Icecat's definition but it looks like I missed
this. Why is it necessary to return #t ?

>   4. Change license to ‘gpl3+’ because source file headers explicitly
>      say “version 3 or any later version”.
>

I was tricked by the website that says it's GPLv3 but you're right, the
source files says GPLv3+.

I tried running “luakit -c /dev/null” but it insists on having an rc
> file that explicitly creates a window, right?
>

I've never used custom configuration files, but once installed, running
only `luakit` should
load the default files from '~/.guix-profile/etc/xdg/luakit' and open
luakit's homepage.
Does it fail if you only run `luakit` ?

Thanks!